Skip to main content

List all roles in the system

GET 

/qsystem/rest/config/aaa/roles

List all roles in the system.

Example:

curl -i -X GET -u user:password http://ip:port/qsystem/rest/config/aaa/roles

Example output:

[{
"id": 2,
"name": "CounterUser",
"description": "Default role. Can run default workstation terminal on assigned branches",
"modules": [
"workstation",
"servicePoint"
]
},{
"id": 3,
"name": "ReceptionUser",
"description": "Default role. Can run reception GUI on accessible branches.",
"modules": [
"reception",
"entryPoint"
]
},....]

Responses​

A json list of Role